Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Maria Julienne Francesca Almendrala applied on Indeed
From: "Maria Julienne Francesca Almendrala" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Wed, 14 Dec 2022 01:32:19 -0600 (CST)

Hi, goodafternoon! It is December 14th today here in PH. May I please know where are you located so I can convert the schedule in my timezone? I am very much willing to attend the interview. Thank you.

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3Cdd2b5240-5d37-4113-98f8-668aee8a2012%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.